=== plugins/wolf-spectrum/Common/Utils/Fonts/Makefile ===
CC=g++
FILE=getchunk

ttf2cpp: $(FILE).cpp
	 $(CC) $(FILE).cpp -I../../../../../dpf/distrho/extra -o $(FILE)

clean:
	rm -f $(FILE)
