=== pkg/debian/changelog ===
wolf-spectrum (0.1.1-1) stretch; urgency=medium

  * Initial build.

 -- Patrick Desaulniers <desaulniers.patrick@carrefour.cegepvicto.ca>  Fri, 25 Jan 2018 21:12:30 -0400
