=== pkg/debian/control ===
Source: wolf-spectrum
Section: sound
Priority: optional
Maintainer: Patrick Desaulniers <desaulniers.patrick@carrefour.cegepvicto.ca>
Uploaders:
 Patrick Desaulniers <desaulniers.patrick@carrefour.cegepvicto.ca>
Build-Depends:
 debhelper (>= 9),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-jackd2-dev | libjack-dev,
 libx11-dev,
 libxext-dev,
 lv2-dev,
 pkg-config,
Standards-Version: 3.9.8
Homepage: https://github.com/pdesaulniers/wolf-spectrum

Package: wolf-spectrum
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 lv2-plugins,
 vst-plugins,
Description: Wolf Spectrum plugin
 Wolf Spectrum is a free, cross-platform spectrogram plugin.
 .
 Wolf Spectrum is using the DPF framework and is available as LV2, VST, and
 standalone JACK-application.
