=== pkg/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_build:
	BUILD_VST2=true BUILD_LV2=true BUILD_JACK=true make

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
