=== pkg/debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/wolf-spectrum-$1\.tar\.gz/ \
  https://github.com/pdesaulniers/wolf-spectrum/tags .*/release-?(\d\S*)\.tar\.gz
